Wt: Wt::Payment::Address Class Reference

Wt 4.10.4

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Wt::Payment::Address Class Reference

Contains address information. More...

`#include <Wt/Payment/Address.h>`

## Public Member Functions
void | setName (const WString &name)
| Sets an address name.
const WString & | name () const
| Returns the address name.
void | setStreet1 (const WString &street1)
| Sets first street line.
const WString & | street1 () const
| Returns the first street line.
void | setStreet2 (const WString &street2)
| Sets the second street line.
const WString & | street2 () const
| Returns the second street line.
void | setCity (const WString &city)
| Sets the city.
const WString & | city () const
| Returns the city.
void | setState (const WString &state)
| Sets the state.
const WString & | state () const
| Returns the state.
void | setCountryCode (const std::string &country)
| Sets the country code.
const std::string & | countryCode () const
| Returns the country code.
void | setZip (const WString &zip)
| Sets the zip code.
const WString & | zip () const
| Returns the zip code.
void | setPhoneNumber (const std::string &number)
| Sets the phone number.
const std::string & | phoneNumber () const
| Returns the phone number.

## Detailed Description

Contains address information.

Wt::Payment::Customer customer;
customer.setEmail("joe.birkenberg@emweb.be");
customer.setFirstName("Joe");
customer.setLastName("Birkenberg");
Wt::Payment::Address address;
address.setCity("Leuven");
address.setCountryCode("BE");
address.setPhoneNumber("123456789");
address.setStreet1("Brusselsestraat 14");
customer.setShippingAddress(address);
Wt::Payment::Address
Contains address information.
Definition Address.h:40
Wt::Payment::Address::setStreet1
void setStreet1(const WString &street1)
Sets first street line.
Wt::Payment::Address::setCity
void setCity(const WString &city)
Sets the city.
Wt::Payment::Address::setPhoneNumber
void setPhoneNumber(const std::string &number)
Sets the phone number.
Wt::Payment::Address::setCountryCode
void setCountryCode(const std::string &country)
Sets the country code.
Wt::Payment::Customer
Contains customer information.
Definition Customer.h:39
Wt::Payment::Customer::setShippingAddress
void setShippingAddress(const Address &address)
Sets the shipping address.
Wt::Payment::Customer::setLastName
void setLastName(const WString &lastName)
Sets the last name.
Wt::Payment::Customer::setFirstName
void setFirstName(const WString &firstName)
Sets the first name.
Wt::Payment::Customer::setEmail
void setEmail(const std::string &email)
Sets the email address.

See also
  Customer::setShippingAddress()

## Member Function Documentation

## ◆ city()

const WString & Wt::Payment::Address::city | ( |  | ) | const

Returns the city.

See also
  setCity()

## ◆ countryCode()

const std::string & Wt::Payment::Address::countryCode | ( |  | ) | const

Returns the country code.

See also
  setCountryCode()

## ◆ name()

const WString & Wt::Payment::Address::name | ( |  | ) | const

Returns the address name.

See also
  setName()

## ◆ phoneNumber()

const std::string & Wt::Payment::Address::phoneNumber | ( |  | ) | const

Returns the phone number.

See also
  setPhoneNumber()

## ◆ setName()

void Wt::Payment::Address::setName | ( | const WString & | name | ) |

Sets an address name.

Sets a name for this address like "home" or "work". This can allow a user to maintain several addresses.

## ◆ setStreet1()

void Wt::Payment::Address::setStreet1 | ( | const WString & | street1 | ) |

Sets first street line.

See also
  setStreet2()

## ◆ setStreet2()

void Wt::Payment::Address::setStreet2 | ( | const WString & | street2 | ) |

Sets the second street line.

See also
  setStreet1()

## ◆ state()

const WString & Wt::Payment::Address::state | ( |  | ) | const

Returns the state.

See also
  setState()

## ◆ street1()

const WString & Wt::Payment::Address::street1 | ( |  | ) | const

Returns the first street line.

See also
  setStreet1()

## ◆ street2()

const WString & Wt::Payment::Address::street2 | ( |  | ) | const

Returns the second street line.

See also
  setStreet2()

## ◆ zip()

const WString & Wt::Payment::Address::zip | ( |  | ) | const

Returns the zip code.

See also
  setZip()